/*
 *
 *  TCP/IP 饤֥
 *
 *  Copyright 1995-1996 Matsushita Soft Research, INC. A.Takuma
 *
 *  System      : NNTP/SMTP/POP3 library
 *  Sub system  : TCP/IP define
 *  File        : tcplib.h
 *  Version     : 0.40
 *  First Edit  : 1995-12/25
 *  Last  Edit  : 1996-11/24
 *  Author      : MSR24  
 *
 */

#ifndef	__TCPLIB_H__
#define	__TCPLIB_H__
#ifdef	MSDOS
#if	defined(NNTP) || defined(SMTP) || defined(POP3)
#ifdef	X68K
#include	<socket.h>
#include	<network.h>
#define		closesocket(sock)	close_s(sock)
#define		recv(a, b, c, d)	read_s(a, b, c)
#define		send(a, b, c, d)	write_s(a, b, c)
#else	/* !X68K */
#ifdef	INETBIOS
#include	"inetbios.h"
#define		closesocket(sock)	soclose(sock)
#else	/* !INETBIOS */
#include	<winsock.h>
#endif	/* !INETBIOS */
#endif	/* !X68K */
#endif	/* (NNTP || SMTP || POP3) */
#include	<sys/stat.h>
#else	/* !MSDOS */
#include	<sys/socket.h>
#include	<netinet/in.h>
#include	<arpa/inet.h>
#include	<netdb.h>
#include	<sys/param.h>
#endif	/* !MSDOS */

#ifndef	MAXHOSTNAMELEN
#define	MAXHOSTNAMELEN 64
#endif	/* MAXHOSTNAMELEN */

#ifndef	IPPROTO_TCP
#define	IPPROTO_TCP	6
#endif	/* !IPPROTO_TCP */
#ifndef	IPPORT_RESERVED
#define	IPPORT_RESERVED	1024
#endif	/* !IPPORT_RESERVED */

#ifdef	MSDOS
#ifdef	X68K
#define	AUTHORITY_FILE		"_newsauth"
#else	/* !X68K */
#define	AUTHORITY_FILE		"_newsaut"
#endif	/* !X68K */
#else	/* !MSDOS */
#define	AUTHORITY_FILE		".newsauth"
#endif	/* !MSDOS */

extern char	auth_file[];		/* 桼ǧڥե		*/
#if	defined(NNTP) || defined(SMTP) || defined(POP3)
extern int	tcp_send();		/* TCP/IP 			*/
extern int	tcp_receive();		/* TCP/IP 			*/
extern int	get_tcp_socket();	/* TCP åȼ		*/
extern int	get_default_server();	/* ǥեȥ̾	*/
extern int	get_user_pass();	/* 桼/ѥɼ	*/
#endif	/* (NNTP || SMTP || POP3) */
#if	!(defined(MNEWS) || defined(MAKEKIN))
extern char	prog_name[];		/* ץ̾			*/
extern short	quiet_mode;		/* 顼/ٹ⡼	*/
#endif	/* !(MNEWS || MANEKIN) */

#if	defined(__STDC__) && !defined(DONT_HAVE_DOPRNT)
void		print_warning(char*, ...);
					/* ٹ𥨥顼ɽ		*/
void		print_fatal(char*, ...);/* ̿Ū顼ɽ		*/
#else	/* (!__STDC__ || DONT_HAVE_DOPRNT) */
void		print_warning();	/* ٹ𥨥顼ɽ		*/
void		print_fatal();		/* ̿Ū顼ɽ		*/
#endif	/* (!__STDC__ || DONT_HAVE_DOPRNT) */
#endif	/* !__TCPLIB_H__ */
